package com.yiqi.app.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yiqi.app.domain.AppNotify;

/**
 * 消息通知Service接口
 *
 * @author xiaohei
 * @date 2023-09-01
 */
public interface IAppNotifyService extends IService<AppNotify> {
    /**
     * 查询消息通知
     *
     * @param id 消息通知主键
     * @return 消息通知
     */
    public AppNotify selectAppNotifyById(Long id);

    /**
     * 查询消息通知列表
     *
     * @param appNotify 消息通知
     * @return 消息通知集合
     */
    public List<AppNotify> selectAppNotifyList(AppNotify appNotify);

    /**
     * 新增消息通知
     *
     * @param appNotify 消息通知
     * @return 结果
     */
    public int insertAppNotify(AppNotify appNotify);

    /**
     * 修改消息通知
     *
     * @param appNotify 消息通知
     * @return 结果
     */
    public int updateAppNotify(AppNotify appNotify);

    /**
     * 批量删除消息通知
     *
     * @param ids 需要删除的消息通知主键集合
     * @return 结果
     */
    public int deleteAppNotifyByIds(Long[] ids);

    /**
     * 删除消息通知信息
     *
     * @param id 消息通知主键
     * @return 结果
     */
    public int deleteAppNotifyById(Long id);



}
